Create a new record
curl --request POST \
--url https://app.nex.ai/api/developers/v1/objects/{slug} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": {
"name": {
"first_name": "John",
"last_name": "Doe"
},
"name (alternative)": "John Doe",
"email_addresses": [
"john@example.com"
],
"phone_number": {
"country_code": 1,
"number": "5551234567"
},
"job_title": "Software Engineer",
"location": {
"street": "123 Main St",
"city": "Boston",
"region": "MA",
"postal_code": "02134",
"country": "US"
}
}
}
'import requests
url = "https://app.nex.ai/api/developers/v1/objects/{slug}"
payload = { "attributes": {
"name": {
"first_name": "John",
"last_name": "Doe"
},
"name (alternative)": "John Doe",
"email_addresses": ["john@example.com"],
"phone_number": {
"country_code": 1,
"number": "5551234567"
},
"job_title": "Software Engineer",
"location": {
"street": "123 Main St",
"city": "Boston",
"region": "MA",
"postal_code": "02134",
"country": "US"
}
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: {
name: {first_name: 'John', last_name: 'Doe'},
'name (alternative)': 'John Doe',
email_addresses: ['john@example.com'],
phone_number: {country_code: 1, number: '5551234567'},
job_title: 'Software Engineer',
location: {
street: '123 Main St',
city: 'Boston',
region: 'MA',
postal_code: '02134',
country: 'US'
}
}
})
};
fetch('https://app.nex.ai/api/developers/v1/objects/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/objects/{slug}"
payload := strings.NewReader("{\n \"attributes\": {\n \"name\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\"\n },\n \"name (alternative)\": \"John Doe\",\n \"email_addresses\": [\n \"john@example.com\"\n ],\n \"phone_number\": {\n \"country_code\": 1,\n \"number\": \"5551234567\"\n },\n \"job_title\": \"Software Engineer\",\n \"location\": {\n \"street\": \"123 Main St\",\n \"city\": \"Boston\",\n \"region\": \"MA\",\n \"postal_code\": \"02134\",\n \"country\": \"US\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "32710180831586561",
"object_id": "32710180831586560",
"type": "person",
"workspace_id": "32710180831586559",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z",
"attributes": {
"name": {
"first_name": "John",
"last_name": "Doe"
},
"email_addresses": [
"john@example.com"
],
"phone_number": {
"country_code": 1,
"number": "5551234567"
},
"job_title": "Software Engineer",
"location": {
"street": "123 Main St",
"city": "Boston",
"region": "MA",
"postal_code": "02134",
"country": "US"
}
}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Records
Create a new record
Creates a new record for a specific object type with the provided attributes
POST
/
v1
/
objects
/
{slug}
Create a new record
curl --request POST \
--url https://app.nex.ai/api/developers/v1/objects/{slug} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": {
"name": {
"first_name": "John",
"last_name": "Doe"
},
"name (alternative)": "John Doe",
"email_addresses": [
"john@example.com"
],
"phone_number": {
"country_code": 1,
"number": "5551234567"
},
"job_title": "Software Engineer",
"location": {
"street": "123 Main St",
"city": "Boston",
"region": "MA",
"postal_code": "02134",
"country": "US"
}
}
}
'import requests
url = "https://app.nex.ai/api/developers/v1/objects/{slug}"
payload = { "attributes": {
"name": {
"first_name": "John",
"last_name": "Doe"
},
"name (alternative)": "John Doe",
"email_addresses": ["john@example.com"],
"phone_number": {
"country_code": 1,
"number": "5551234567"
},
"job_title": "Software Engineer",
"location": {
"street": "123 Main St",
"city": "Boston",
"region": "MA",
"postal_code": "02134",
"country": "US"
}
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: {
name: {first_name: 'John', last_name: 'Doe'},
'name (alternative)': 'John Doe',
email_addresses: ['john@example.com'],
phone_number: {country_code: 1, number: '5551234567'},
job_title: 'Software Engineer',
location: {
street: '123 Main St',
city: 'Boston',
region: 'MA',
postal_code: '02134',
country: 'US'
}
}
})
};
fetch('https://app.nex.ai/api/developers/v1/objects/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/objects/{slug}"
payload := strings.NewReader("{\n \"attributes\": {\n \"name\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\"\n },\n \"name (alternative)\": \"John Doe\",\n \"email_addresses\": [\n \"john@example.com\"\n ],\n \"phone_number\": {\n \"country_code\": 1,\n \"number\": \"5551234567\"\n },\n \"job_title\": \"Software Engineer\",\n \"location\": {\n \"street\": \"123 Main St\",\n \"city\": \"Boston\",\n \"region\": \"MA\",\n \"postal_code\": \"02134\",\n \"country\": \"US\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "32710180831586561",
"object_id": "32710180831586560",
"type": "person",
"workspace_id": "32710180831586559",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z",
"attributes": {
"name": {
"first_name": "John",
"last_name": "Doe"
},
"email_addresses": [
"john@example.com"
],
"phone_number": {
"country_code": 1,
"number": "5551234567"
},
"job_title": "Software Engineer",
"location": {
"street": "123 Main St",
"city": "Boston",
"region": "MA",
"postal_code": "02134",
"country": "US"
}
}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Authorizations
API key for authentication (format: "Bearer YOUR_API_KEY")
Path Parameters
Object slug (e.g., 'person', 'company')
Body
application/json
Record attributes
Last modified on August 19, 2025
⌘I